/*
 * kk_PTPO.h
 *
 *  Created on: Dec 27, 2018
 *      Author: sds
 */

#ifndef kk_PTPO_H_
#define kk_PTPO_H_
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string>


#include <time.h>
#include <stdlib.h>
#include <memory.h>

#include "json/writer.h"
#include "json/reader.h"
#include "json/value.h"

#include "KK_OTA.h"
#include "LSC_Logger.h"
#include "MQ_CCU_Adapter.h"

using namespace std;

//运维Topic的相关处理
class kk_PTPO{
public:
	static kk_PTPO* GetInstance();
	//处理运维Topic 25. 运维功能调用
	int handle_Ptpo_optcall(string payload,string Topic);
	
	//判定处理是否进行升级
	int handle_check_result(string payload);
		
	//不断检测升级	
	static void* run0(void* opt);
	bool init(string gw_id);
	int run(void* opt);

string  gw_id;


private:
	kk_PTPO();
private:
	static kk_PTPO* ms_pInstance;
};



#endif /* kk_PTPO_H_ */
